Support » Plugins and Hacks » [Resolved] Fatal after upgrade

[Resolved] Fatal after upgrade

  • Immediately after upgrading to version I get a fatal error that kills anything. Turning on debug mode and checking logs revealed the following:

    PHP Fatal error: require() [<a href='function.require'>function.require</a>]: Cannot redeclare class w3_pgcache in /wp-content/plugins/w3-total-cache/inc/define.php on line 1370

    My stopgap solution was to wipe the current w3tc plugin folder and replace it with, though I’m not sure if there were DB modifications that may have changed things otherwise. At least it loads now.

    Thanks for all your hard work on this amazing plugin, hope this gets resolved soon!


Viewing 1 replies (of 1 total)
  • Plugin Author Frederick Townes


    Best guess is that there were an old drop in wp-content that caused this issue. The latest release version has a better include check to prevent these redeclare issue.

Viewing 1 replies (of 1 total)
  • The topic ‘[Resolved] Fatal after upgrade’ is closed to new replies.